#include <iostream>
using namespace std;

int mirror(int a) {
    if (a==0) 
        return 0;
    else if(a==1)
        return 1;
    else if(a==2) 
        return 5;
    else if(a==3)
        return 3;
    else if(a==5) 
        return 2;
    else if(a==6)
    	return 6;
    else if(a==7)
    	return 7;
	else if(a==8) 
        return 8;
    else if(a==9)
        return 9;
}

int main() {
    unsigned long long int q;
    cin >> q;

    long long w = 0;
    while (q > 0) {
        int a = q % 10;
        w = w * 10 + mirror(a);
        q /= 10;
    }

    cout << w << endl;
}